>source

저는 Linux Mint 20.2를 실행하고 터미널에서 프로그램을 실행할 때 사용했던 로컬 디렉토리에 EinsteinPy를 설치했습니다.

최근에 아나콘다 IDE를 사용하여 프로그래밍을 하려고 하다가 Conda의 기본 터미널에서 패키지를 설치하려고 했더니 실패!

나는 사용,

(base) [email protected]:~$ conda install einsteinpy

결과는 다음과 같습니다.

Collecting package metadata (current_repodata.json): done
Solving environment: failed with initial frozen solve. Retrying with flexible solve.
Collecting package metadata (repodata.json): done
Solving environment: failed with initial frozen solve. Retrying with flexible solve.
PackagesNotFoundError: The following packages are not available from current channels:
  -einsteinpy
Current channels:
  -https://repo.anaconda.com/pkgs/main/linux-64
  -https://repo.anaconda.com/pkgs/main/noarch
  -https://repo.anaconda.com/pkgs/r/linux-64
  -https://repo.anaconda.com/pkgs/r/noarch
To search for alternate channels that may provide the conda package you're
looking for, navigate to
    https://anaconda.org
and use the search bar at the top of the page.
(base) [email protected]:~$ $ conda install -c conda-forge einsteinpy
$: command not found
(base) [email protected]:~$  conda install -c conda-forge einsteinpy
Collecting package metadata (current_repodata.json): failed
# >>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<    Traceback (most recent call last):
      File "/home/manu/anaconda3/lib/python3.9/site-packages/urllib3/response.py", line 438, in _error_catcher
        yield
      File "/home/manu/anaconda3/lib/python3.9/site-packages/urllib3/response.py", line 767, in read_chunked
        chunk= self._handle_chunk(amt)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/urllib3/response.py", line 711, in _handle_chunk
        value= self._fp._safe_read(amt)
      File "/home/manu/anaconda3/lib/python3.9/http/client.py", line 625, in _safe_read
        chunk= self.fp.read(min(amt, MAXAMOUNT))
      File "/home/manu/anaconda3/lib/python3.9/socket.py", line 704, in readinto
        return self._sock.recv_into(b)
      File "/home/manu/anaconda3/lib/python3.9/ssl.py", line 1241, in recv_into
        return self.read(nbytes, buffer)
      File "/home/manu/anaconda3/lib/python3.9/ssl.py", line 1099, in read
        return self._sslobj.read(len, buffer)
    ConnectionResetError: [Errno 104] Connection reset by peer
    During handling of the above exception, another exception occurred:
    Traceback (most recent call last):
      File "/home/manu/anaconda3/lib/python3.9/site-packages/requests/models.py", line 758, in generate
        for chunk in self.raw.stream(chunk_size, decode_content=True):
      File "/home/manu/anaconda3/lib/python3.9/site-packages/urllib3/response.py", line 572, in stream
        for line in self.read_chunked(amt, decode_content=decode_content):
      File "/home/manu/anaconda3/lib/python3.9/site-packages/urllib3/response.py", line 793, in read_chunked
        self._original_response.close()
      File "/home/manu/anaconda3/lib/python3.9/contextlib.py", line 137, in __exit__
        self.gen.throw(typ, value, traceback)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/urllib3/response.py", line 455, in _error_catcher
        raise ProtocolError("Connection broken: %r" % e, e)
    urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))
    During handling of the above exception, another exception occurred:
    Traceback (most recent call last):
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1079, in __call__
        return func(*args, **kwargs)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/cli/main.py", line 84, in _main
        exit_code= do_call(args, p)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/cli/conda_argparse.py", line 83, in do_call
        return getattr(module, func_name)(args, parser)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/cli/main_install.py", line 20, in execute
        install(args, parser, 'install')
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/cli/install.py", line 261, in install
        unlink_link_transaction= solver.solve_for_transaction(
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/solve.py", line 114, in solve_for_transaction
        unlink_precs, link_precs= self.solve_for_diff(update_modifier, deps_modifier,
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/solve.py", line 157, in solve_for_diff
        final_precs= self.solve_final_state(update_modifier, deps_modifier, prune, ignore_pinned,
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/solve.py", line 262, in solve_final_state
        ssc= self._collect_all_metadata(ssc)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/common/io.py", line 88, in decorated
        return f(*args, **kwds)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/solve.py", line 425, in _collect_all_metadata
        index, r= self._prepare(prepared_specs)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/solve.py", line 1020, in _prepare
        reduced_index= get_reduced_index(self.prefix, self.channels,
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/index.py", line 288, in get_reduced_index
        new_records= SubdirData.query_all(spec, channels=channels, subdirs=subdirs,
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/subdir_data.py", line 140, in query_all
        result= tuple(concat(executor.map(subdir_query, channel_urls)))
      File "/home/manu/anaconda3/lib/python3.9/concurrent/futures/_base.py", line 608, in result_iterator
        yield fs.pop().result()
      File "/home/manu/anaconda3/lib/python3.9/concurrent/futures/_base.py", line 445, in result
        return self.__get_result()
      File "/home/manu/anaconda3/lib/python3.9/concurrent/futures/_base.py", line 390, in __get_result
        raise self._exception
      File "/home/manu/anaconda3/lib/python3.9/concurrent/futures/thread.py", line 52, in run
        result= self.fn(*self.args, **self.kwargs)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/subdir_data.py", line 132, in <lambda>        subdir_query= lambda url: tuple(SubdirData(Channel(url), repodata_fn=repodata_fn).query(
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/subdir_data.py", line 145, in query
        self.load()
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/subdir_data.py", line 210, in load
        _internal_state= self._load()
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/subdir_data.py", line 375, in _load
        raw_repodata_str= fetch_repodata_remote_request(
      File "/home/manu/anaconda3/lib/python3.9/site-packages/conda/core/subdir_data.py", line 701, in fetch_repodata_remote_request
        resp= session.get(join_url(url, filename), headers=headers, proxies=session.proxies,
      File "/home/manu/anaconda3/lib/python3.9/site-packages/requests/sessions.py", line 555, in get
        return self.request('GET', url, **kwargs)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/requests/sessions.py", line 542, in request
        resp= self.send(prep, **send_kwargs)
      File "/home/manu/anaconda3/lib/python3.9/site-packages/requests/sessions.py", line 697, in send
        r.content
      File "/home/manu/anaconda3/lib/python3.9/site-packages/requests/models.py", line 836, in content
        self._content= b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
      File "/home/manu/anaconda3/lib/python3.9/site-packages/requests/models.py", line 761, in generate
        raise ChunkedEncodingError(e)
    requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))
`$ /home/manu/anaconda3/bin/conda install -c conda-forge einsteinpy`
  environment variables:
                 CIO_TEST=<not set>        CONDA_DEFAULT_ENV=base
                CONDA_EXE=/home/manu/anaconda3/bin/conda
             CONDA_PREFIX=/home/manu/anaconda3
    CONDA_PROMPT_MODIFIER=(base)
         CONDA_PYTHON_EXE=/home/manu/anaconda3/bin/python
               CONDA_ROOT=/home/manu/anaconda3
              CONDA_SHLVL=1
           CURL_CA_BUNDLE=<not set>            DEFAULTS_PATH=/usr/share/gconf/cinnamon.default.path
           MANDATORY_PATH=/usr/share/gconf/cinnamon.mandatory.path
                     PATH=/home/manu/anaconda3/bin:/home/manu/anaconda3/bin:/home/manu/anaconda3
                          /condabin:/home/manu/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sb
                          in:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
       REQUESTS_CA_BUNDLE=<not set>            SSL_CERT_FILE=<not set>            XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
         XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
     active environment : base
    active env location : /home/manu/anaconda3
            shell level : 1
       user config file : /home/manu/.condarc
 populated config files : /home/manu/.condarc
          conda version : 4.10.3
    conda-build version : 3.21.5
         python version : 3.9.7.final.0
       virtual packages : __linux=5.4.0=0
                          __glibc=2.31=0
                          __unix=0=0
                          __archspec=1=x86_64
       base environment : /home/manu/anaconda3  (writable)
      conda av data dir : /home/manu/anaconda3/etc/conda
  conda av metadata url : None
           channel URLs : https://conda.anaconda.org/conda-forge/linux-64
                          https://conda.anaconda.org/conda-forge/noarch
                          https://repo.anaconda.com/pkgs/main/linux-64
                          https://repo.anaconda.com/pkgs/main/noarch
                          https://repo.anaconda.com/pkgs/r/linux-64
                          https://repo.anaconda.com/pkgs/r/noarch
          package cache : /home/manu/anaconda3/pkgs
                          /home/manu/.conda/pkgs
       envs directories : /home/manu/anaconda3/envs
                          /home/manu/.conda/envs
               platform : linux-64
             user-agent : conda/4.10.3 requests/2.26.0 CPython/3.9.7 Linux/5.4.0-74-generic linuxmint/20.2 glibc/2.31
                UID:GID : 1000:1000
             netrc file : None
           offline mode : False
An unexpected error has occurred. Conda has prepared the above report.
If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers?
[y/N]: y
Upload successful.
Thank you for helping to improve conda.
Opt-in to always sending reports (and not see this message again)
by running
    $ conda config --set report_errors true

제가 어디에서 잘못되었는지 알려주세요. 감사 해요!

당신이 얻는 오류는 요청에서 연결 재설정입니다. 아마도 귀하의 aconda 환경이 업데이트되지 않았음을 의미합니다. conda update --all을 시도하십시오. 작동하지 않으면 conda에서 벗어나 pyenv를 대신 사용하는 것이 좋습니다. 그러면 모든 패키지와 python 바이너리를 미세하게 관리할 수 있으며 대부분의 컴파일에 필요한 모든 c-lib도 설치됩니다. 바퀴가 있습니다.

MortenB2022-01-15 04:39:12

Linux에서는 많은 플랫폼과 glibc 버전을 위한 바퀴가 필요합니다. 바퀴가 없는 경우(플랫폼용 바이너리 빌드) 컴파일할 수 있지만 많은 lib*-dev와 올바른 glibc가 필요합니다. 독립 실행형 venv를 시도하고 거기에 einsteinpy를 설치하고 컴파일되는지 확인하십시오. 작동하는 경우 pip freeze를 비교하면 condaversion이 min20.2에 비해 너무 오래되었음을 알 수 있습니다.

MortenB2022-01-14 11:50:44

하지만 이미 최신 버전을 설치했고 Windows에서도 작동하는 것 외에 전혀 문제가 없었습니다. 다른 이유가 있습니까?

mnuizhre2022-01-14 06:07:28

내가 참조. 입력해 주셔서 감사합니다.

mnuizhre2022-01-14 16:26:11
  • 이전 permissions : v10 이상에서 typo3 사용자 권한을 사용하는 모범 사례는 무엇입니까?
  • 다음 Cassandra 서비스 시작 시간 측정